<?php
namespace App\Libraries;

use App\Libraries\CouponPDF;
use App\Models\Coupon;
use Storage;

class InvoicePDF{

    protected $view;
    protected $pdf;


    public function __construct($view)
    {
        $this->view = $view;
    }

    public function create($data, $name='test.pdf', $output='stream', $path = false){

        header('Content-type: text/html; charset=UTF-8') ;//chrome
        //dd($data);

        $pdf = app('dompdf.wrapper');
        $pdf->getDomPDF();
        $pdf->set_option("enable_php", true);
        $pdf->loadView($this->view, $data);
        $pdf->setPaper('A4', 'portrait');

        if($output === 'stream'){
            return $pdf->stream($name);
        }
        if($output === 'download'){
            return $pdf->download($name);
        }

        if($output === 'save'){
            if($path){
                $pdf->save($path.$name);
                return $path.$name;
            }
        }
    }

}
?>
